Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.renderkit.html.ext
Class HtmlSecretRenderer

    java.lang.Object
      javax.faces.render.Renderer
          org.apache.myfaces.renderkit.html.HtmlRenderer
              org.apache.myfaces.renderkit.html.HtmlSecretRendererBase
                  org.apache.myfaces.renderkit.html.ext.HtmlSecretRenderer

public class HtmlSecretRenderer
extends HtmlSecretRendererBase

Version:
  $Revision: 279369 $ $Date: 2005-09-07 12:16:26 -0400 (Wed, 07 Sep 2005) $
Author:
  Manfred Geiler (latest modification by $Author: baranda $), Bruno Aranda

Constructor Summary
`HtmlSecretRenderer()`

Method Summary
`void` | `encodeEnd(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
`protected boolean` | `isDisabled(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent uiComponent)`
`protected void` | `renderInputValueOnly(javax.faces.context.FacesContext facesContext, javax.faces.component.UIInput uiInput)`

Methods inherited from class org.apache.myfaces.renderkit.html.HtmlSecretRendererBase
`decode, getConvertedValue`

Methods inherited from class org.apache.myfaces.renderkit.html.HtmlRenderer
`encodeChildren`

Methods inherited from class javax.faces.render.Renderer
`convertClientId, encodeBegin, getRendersChildren`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HtmlSecretRenderer

    public HtmlSecretRenderer()

Method Detail

### isDisabled

    protected boolean isDisabled(javax.faces.context.FacesContext facesContext,
                                 javax.faces.component.UIComponent uiComponent)

  Overrides:
    `isDisabled` in class `HtmlSecretRendererBase`

### encodeEnd

    public void encodeEnd(javax.faces.context.FacesContext facesContext,
                          javax.faces.component.UIComponent component)
                   throws java.io.IOException

  Overrides:
    `encodeEnd` in class `HtmlSecretRendererBase`
  Throws:
    `java.io.IOException`

### renderInputValueOnly

    protected void renderInputValueOnly(javax.faces.context.FacesContext facesContext,
                                        javax.faces.component.UIInput uiInput)
                                 throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD